Package: spatialite-gui / 1.7.1-5

04-wx3.0-compat.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
Description: Fix to build with wxwidgets 3.0
Author: Olly Betts <olly@survex.com>
Last-Update: 2014-05-01

--- a/configure
+++ b/configure
@@ -15543,7 +15543,7 @@ if test x$WX_CONFIG == xnot_found; then
 fi
 CXXFLAGS="$(wx-config --cxxflags)"
 AM_CXXFLAGS="$(wx-config --cxxflags)"
-WX_LIBS="$(wx-config --libs)"
+WX_LIBS="$(wx-config --libs std,aui)"
 
 
 # Checks for header files.
--- a/configure.ac
+++ b/configure.ac
@@ -54,7 +54,7 @@ if test x$WX_CONFIG == xnot_found; then
 fi
 CXXFLAGS="$(wx-config --cxxflags)"
 AM_CXXFLAGS="$(wx-config --cxxflags)"
-WX_LIBS="$(wx-config --libs)"
+WX_LIBS="$(wx-config --libs std,aui)"
 AC_SUBST(WX_LIBS)
 
 # Checks for header files.